## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExecutionContext::CurrentNodePushAndPop Class Reference

`#include <XPathExecutionContext.hpp>`

Collaboration diagram for XPathExecutionContext::CurrentNodePushAndPop:

[legend]
List of all members.

## Public Methods

- CurrentNodePushAndPop (XPathExecutionContext &theExecutionContext, XalanNode *theNewNode)
- ~CurrentNodePushAndPop ()

## Constructor & Destructor Documentation

XPathExecutionContext::CurrentNodePushAndPop::CurrentNodePushAndPop ( | XPathExecutionContext & theExecutionContext,
| XalanNode * theNewNode )

XPathExecutionContext::CurrentNodePushAndPop::~CurrentNodePushAndPop ( | )

The documentation for this class was generated from the following file:

- XPathExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.